package fr.velossity.sample.device.impl;

import java.util.Dictionary;
import java.util.Hashtable;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import fr.velossity.sample.device.Device;

/**
 * Bundle activator instantiating a single mock device.
 * @author C. Saint-Marcel
 * 
 */
public class Activator implements BundleActivator {
	
	private Device myDevice = new MockDeviceImpl("mock1-1");
	
	/**
	 * @see BundleActivator#start(BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		// Service class name
		String clazz = Device.class.getName();
		
		// Set meta-data properties for the device
		Dictionary/*<String, String>*/ properties = new Hashtable/*<String, String>*/();
		properties.put(Device.DEVICE_PROPERTY_IDENTIFIER, myDevice.getIdentifier());
		properties.put(Device.DEVICE_PROPERTY_TYPE, myDevice.getType());
		
		// PUBLISHES the Device service
		context.registerService(clazz, myDevice, properties);
	}

	/**
	 * @see BundleActivator#stop(BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
	}

}
